PHP, which stands for PHP: Hypertext Preprocessor, is amongst the most popular open-source server-side coding languages out there. Any site or app built on PHP will run on a given web server on the condition that a PHP module is installed, which renders the language absolutely universal and it’s hardly surprising that there are actually a few million servers that support it and hundreds of millions of PHP-driven websites hosted on them. PHP is preferred over HTML because it enables you to build a dynamic serving website with plenty of options. A PHP-based community website, for instance, will display different content to each user despite the fact that the URL will be the same. By contrast, HTML-based websites are static and the content on the pages can be edited only manually. Just like any other software, PHP has several versions and the one that was used whilst developing a specific website must be set up on the web server so that the site can run properly.

PHP 4 and PHP 5 Support in Hosting

Our hosting servers support several PHP versions, which means that your sites will work without any problems no matter if your PHP-based scripts are out of date. We realize that an old website doesn’t necessarily imply an insecure one as you may have done plenty of source code modifications. That is why we support PHP 5.5, 5.4, 5.3, 5.2 and 4 and you can pick which version will be enabled for your shared web hosting account. The version can be changed with only one single click inside your Hepsia Control Panel and the new settings will take effect immediately. In case you’d like to run both newer and older scripts, there is even a possibility to use a different PHP version for each of your domain names at the same time.

PHP 4 and PHP 5 Support in Semi-dedicated Servers

We staunchly believe that years spent creating a website should not be in vain, so in case you purchase a semi-dedicated server from our company, you’ll be able to use any script, regardless of whether it’s new or old. Unlike lots of hosting suppliers, we support several different versions of PHP on our advanced cloud web hosting platform – 5.5, 5.4, 5.3, 5.2 and 4. Not only will you be able to enable the needed version via your Hepsia hosting Control Panel, but you will also have the possibility to choose a different version for each website. The latter can be done merely by adding an .htaccess file to the given site’s root folder. You can change the version not only for a single website, but also for the whole account and the change will be applied in only several minutes. With our hosting services, you can be sure that you will never run into any website compatibility obstacles.